<template>
	<view>		
		<view style="margin:10px 20px;" v-show="isShow">
			<!-- <button type="primary" style="border-radius: 5px;" class="mini-btn" size="mini" @click="modify">修改</button> -->
			<button type="primary" style="border-radius: 5px;margin-left:15px;" class="mini-btn" size="mini" @click="workFlow" v-show="isWorkFlow">流程审核</button>
		</view>
		<uni-list>
			<uni-list-item v-if="entity">
				<view slot="body" class="slot-box">
					<view class="row">
						<view class="column-left">工作项名称：</view>
						<view class="column-right">{{entity.nodeName}}</view>
					</view>
					<view class="row">
						<view class="column-left">进度计划名称：</view>
						<view class="column-right">{{entity.progressName}}</view>
					</view>
					<view class="row">
						<view class="column-left">报告日期：</view>
						<view class="column-right">{{entity.reportDate}}</view>
					</view>
					<view class="row">
						<view class="column-left">状态：</view>
						<view class="column-right">{{entity.stateName}}</view>
					</view>
					<view class="row">
						<view class="column-left">填报进度：</view>
						<view class="column-right progress-box">
						<progress :percent="entity.completePercent" show-info stroke-width="3" /> 	 
						</view>
					</view>
					<view class="row">
						<view class="column-left">实际开始日期：</view>
						<view class="column-right">{{entity.actualStartDate}}</view>
					</view>
					<view class="row">
						<view class="column-left">实际结束日期：</view>
						<view class="column-right">{{entity.actualFinishDate}} </view>
					</view>
					<view class="row">
						<view class="column-left">执行情况：</view>
						<view class="column-right">{{entity.remark}} </view>
					</view>
					<view class="row">
						<view class="column-left">报告人：</view>
						<view class="column-right">{{entity.inputPerson}}</view>
					</view>
					<view class="row">
						<view class="column-left">填写日期：</view>
						<view class="column-right">{{entity.inputDate}}</view>
					</view>
					<view class="row">
						<view class="column-left">审核人：</view>
						<view class="column-right">{{entity.checkPerson}}</view>
					</view>
					<view class="row">
						<view class="column-left">审核日期：</view>
						<view class="column-right">{{entity.checkDate}}</view>
					</view>
					<view class="row">
						<view class="column-left">审批进度：</view>
						<view class="column-right progress-box">
						<progress :percent="entity.checkCompletePercent" show-info stroke-width="3" v-if="entity.checkCompletePercent"/> 	 
						</view>
					</view> 
					 
				</view>
			</uni-list-item>
		</uni-list> 
	</view>
</template>

<script>
	import {
		 GetpmProgressReportDTO
	} from "@/common/api/ProgressApi.js";
	import {
		Decimal
	} from 'decimal.js';
	export default {
		data() {
			return {
				entity: {},
				isShow:false,
				isWorkFlow:false,
				procedureName:""
			}
		},
		onLoad() {
			//console.info("当前登录状态:" + this.$store.state.isLogin);
			//console.info(this);
			this.$util.persistLogin(this);
		},
		created: function() {
			this.getDetail();
		},
		mounted:function(){
			
		},
		methods: {
			getDetail() {
				let that = this;
				let id=this.$util.getQuery("id");
				GetpmProgressReportDTO(id).then((res) => {
					console.info('GetpmProgressReportDTO res',res);
					that.entity=res.entity;
					if(res.entity.state== 0){
						that.isShow=true;
					}
					else{
						that.isShow=false;
					}
					that.procedureName=res.procedureName;
					/* 是否显示流程审核按钮 */
					if(!that.$util.isEmpty(that.procedureName)){
						if(res.entity.state==0){
							that.isWorkFlow=true;
						}
						else{
							that.isWorkFlow=false;
						}
						console.info('isWorkFlow',that.isWorkFlow);
					}
					 
					 
					 
					//console.info(that.listData);
				});
			},
			 
			 modify: function() { //跳转到修改页面
			 	let id = this.$util.getQuery("id");
			 	 
			 },
			 /* 流程审核按钮点击事件处理 */
			 workFlow:function(){
			 	let url="../GetWorkFlowProcedureList/GetWorkFlowProcedureList?procedureName="+this.procedureName+"&applicationCode="+this.$util.getQuery("id");
			 	uni.navigateTo({    //跳转到流程控制列表页面
			 		url:url
			 	});
			 },
		}
	}
</script>

<style>
  /deep/ .uni-section__content-title{
	  font-size:15px;
	  font-weight: 600;
  }
  
 /deep/ .uni-list-item{
	  background-color: #f8f8f8;
  }
  .slot-box{
	  background-color: #fff;
	  padding: 5px 8px;
  }
</style>
